#pragma once

#include <GraphicsApi.h>

class CustomDX11API : public Framework::DirectX11
{
private:
    int vertexShaderLightBufferIndex;

protected:
    Framework::DX11VertexShader* initializeVertexShader(
        unsigned char* byteCode, int size) override;
    Framework::DX11PixelShader* initializePixelShader(
        unsigned char* byteCode, int size) override;

public:
    CustomDX11API();

    int getVertexShaderLightBufferIndex() const;
};